@echo off
rem - Batch file to invoke msbuild to process redist files.
setlocal

if EXIST %2 set STYLESDIR=%~2\RAD Studio\14.0\Styles
if "%VERBOSITY%"=="" set VERBOSITY=n
set TARGET=%1
set PROJFILE=make.proj
set MSBUILD=%SystemRoot%\Microsoft.NET\Framework\v3.5\MSBuild.exe
if "%1"=="" goto help

if not EXIST %MSBUILD% goto nomsbuild

echo on
%MSBUILD% /v:%VERBOSITY% /t:%TARGET% /clp:DisableMPLogging %PROJFILE%
@echo off
echo.
if errorlevel 1 goto builderror

echo *** Build Success ***
goto end

:builderror
echo *** Build Failed ***
goto end

:nomsbuild
echo Error: MsBuild (%MSBUILD%) was not found on this system.
goto end

:help
echo.
echo             RedistSetup.bat
echo ------------------------------------------------
echo.
echo.Invoke MSBuild to process redist files.
echo.
echo Standard targets:
echo    Default              Copy the redist files
echo    Clean                Clean the redist files
echo.
echo Optional parameters:
echo.   PublicDoc            Location of "All Users" public documents directory
echo.
echo See redist.targets for additional details.
echo ------------------------------------------------

:end
endlocal
